Skip to content
Last updated

title: Get Connector Details keywords:

  • get connector details
  • get
  • connector
  • details

Get details of a specific connector by tool_key.

GEThttps://api.aitronos.com/v1/personal-connectors/available/{tool_key}

Path Parameters

tool_key string required

The tool key parameter.

Query Parameters

organization_id string optional

Organization ID


Returns

id string

Unique connector identifier

tool_key string

Tool key identifier (e.g., 'slack', 'github')

display_name string

Human-readable display name

description string or null

Tool description

category string or null

Tool category (e.g., 'communication', 'development')

icon_url string or null

URL to tool icon/logo

is_connected boolean

Whether user has connected this tool

connection_id string or null

Connection ID if connected

release_channel string

Release channel: 'stable' for Aitronos-auth connectors, 'beta' for partner-auth connectors

cURL
curl -X GET "https://api.aitronos.com/v1/personal-connectors/available/{tool_key}" \
  -H "X-API-Key: $FREDDY_API_KEY"

Response:

200 OK
{
  "id": "abc123def456",
  "tool_key": "slack",
  "display_name": "My Resource",
  "description": "A description of the resource",
  "category": "general",
  "icon_url": "https://example.com/resource",
  "is_connected": false,
  "connection_id": "conn_abc123def456",
  "release_channel": "beta"
}